﻿Imports System.ComponentModel

Namespace Contacts_MVVM.ViewModels
	''' <summary>
	''' Provides common functionality for ViewModel classes
	''' </summary>
	Public MustInherit Class ViewModelBase
		Implements INotifyPropertyChanged
		Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Protected Sub OnPropertyChanged(ByVal propertyName As String)
      If Nothing Is PropertyChangedEvent Then
        Return
      End If
      RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
    End Sub

	End Class
End Namespace
