﻿Imports Contacts_MVVM.ViewModels
Imports Intersoft.Client.Framework
Imports Intersoft.Client.UI.Aqua.UXDesktop

Namespace Contacts_MVVM.Views
	Partial Public Class ContactEditDialogBox
		Inherits UXDialogBox
		Public Sub New()
			InitializeComponent()
			AddHandler Opened, AddressOf ContactEditDialogBox_Opened
		End Sub

		Private Sub ContactEditDialogBox_Opened(ByVal sender As Object, ByVal e As WindowEventArgs)
			Dim viewModel As ContactEditViewModel = CType(Me.DataContext, ContactEditViewModel)


			' show required field validators after the window animates completely.
			Utility.ExecuteTimeOut(0.4, Sub()
				If viewModel.IsNewContact Then
					viewModel.Validate()
				End If
			End Sub)
		End Sub
	End Class
End Namespace
