﻿Imports System.Windows
Imports Intersoft.Client.Framework
Imports Intersoft.Client.UI.Aqua.UXDesktop
Imports Intersoft.Client.UI.Navigation
Imports Contacts_MVVM

Namespace Contacts_MVVM.Views
	Partial Public Class ContactsView
		Inherits UXPage
		Public Sub New()
			InitializeComponent()
      Current = Me
		End Sub

		Shared Property Current() As ContactsView

		Shared Sub New()
			' register class-level event handler 
			' for ClosedEvent routed event
			EventManager.RegisterClassHandler(GetType(UXWindow), WindowEvents.ClosedEvent, New WindowEventHandler(AddressOf OnWindowClosed))
		End Sub

		Private Shared Sub OnWindowClosed(ByVal sender As Object, ByVal e As WindowEventArgs)
			' always re-focus to contactList after a dialogbox is closed
			Current.contactList.Focus()
		End Sub
	End Class
End Namespace
